Remove aptdaemon and drop or port its reverse-dependencies

Bug #1673258 reported by Barry Warsaw on 2017-03-15
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
aptdaemon (Ubuntu)
Undecided
Unassigned
apturl (Ubuntu)
Undecided
Unassigned
dell-recovery (Ubuntu)
Undecided
Unassigned
gnome-software (Ubuntu)
Medium
Unassigned
language-selector (Ubuntu)
Undecided
Unassigned
lubuntu-software-center (Ubuntu)
Undecided
Unassigned
mythbuntu-control-centre (Ubuntu)
Undecided
Unassigned
sessioninstaller (Ubuntu)
Undecided
Unassigned
software-properties (Ubuntu)
Undecided
Unassigned
ubiquity (Ubuntu)
Undecided
Unassigned
ubuntu-mate-meta (Ubuntu)
Undecided
Unassigned
ubuntu-mate-welcome (Ubuntu)
Undecided
Unassigned
update-manager (Ubuntu)
Undecided
Unassigned
update-notifier (Ubuntu)
Undecided
Unassigned
zeroinstall-injector (Ubuntu)
Undecided
Unassigned

Bug Description

aptdaemon is abandoned and unmaintained. It has already been dropped from Debian, but there are several reverse dependencies keeping it in Ubuntu. I will add bug tasks for each of those dependencies, which should be ported or dropped themselves. Then we can get rid of aptdaemon too.

See this mailing list thread for more details: https://lists.ubuntu.com/archives/ubuntu-devel/2017-March/039722.html

https://bitbucket.org/ubuntu-mate/ubuntu-mate-welcome/issues/48/port-from-aptdaemon-to-packagekit

Barry Warsaw (barry) wrote :

Here are a few more relevant comments from IRC and email:

<jbicha> barry: software-properties was already ported from aptdaemon to pk in
         Debian, we didn't push it into zesty since I don't think anyone
         checked if the driver code worked [16:51]
<jbicha>
         https://anonscm.debian.org/git/collab-maint/software-properties.git/tree/debian/patches/0004-Implement-PackageKit-support.patch

"sessioninstaller is essentially obsolete when you have gnome-software w/ the PackageKit backend. session-installer itself appears to be broken in general."

"So, sessioninstaller is an aptdaemon based implementation of the
PackageKit session interface. The two can be dropped together, since
they are both unmaintained and not needed. PackageKit provides
everything needed as a replacement.

The dependency by gnome-software is illusory, as it depends on
PackageKit D-Bus interfaces (provided by PackageKit). The dependency
wasn't even present in xenial, as far as I recall...

oem-config-gtk is a single script[1] with only a few lines of code
actually using aptdaemon, and that can be ported to use PackageKit
instead.

language-selector-gnome is similar[2], and should be easy to port out
to PackageKit, assuming this is even needed anymore. It doesn't look
like it's maintained either...

[1]: http://bazaar.launchpad.net/~ubuntu-installer/ubiquity/trunk/view/head:/bin/oem-config-remove-gtk

[2]: http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/vivid/language-selector/vivid/view/head:/LanguageSelector/gtk/GtkLanguageSelector.py
"

% reverse-depends src:aptdaemon
Reverse-Recommends
==================
* 0install-core (for python3-aptdaemon.pkcompat)
* dell-recovery (for python-aptdaemon.gtk3widgets)
* update-notifier (for python3-aptdaemon)
* update-notifier (for python3-aptdaemon.gtk3widgets)

Reverse-Depends
===============
* apturl (for python3-aptdaemon.gtk3widgets)
* apturl (for python3-aptdaemon)
* gnome-software (for aptdaemon)
* language-selector-gnome (for python3-aptdaemon.gtk3widgets)
* language-selector-gnome (for aptdaemon)
* lubuntu-software-center (for python-aptdaemon)
* lubuntu-software-center (for python-aptdaemon.gtk3widgets)
* mythbuntu-control-centre (for python-aptdaemon.gtk3widgets)
* oem-config-gtk (for python3-aptdaemon.gtk3widgets)
* oem-config-gtk (for aptdaemon)
* sessioninstaller (for python3-aptdaemon.gtk3widgets)
* sessioninstaller (for aptdaemon)
* software-properties-gtk (for python3-aptdaemon.gtk3widgets)
* ubuntu-mate-core (for python3-aptdaemon.gtk3widgets)
* ubuntu-mate-desktop (for python3-aptdaemon.gtk3widgets)
* ubuntu-mate-welcome (for python3-aptdaemon.gtk3widgets)
* ubuntu-mate-welcome (for python3-aptdaemon)
* update-manager (for python3-aptdaemon.gtk3widgets)

Barry Warsaw (barry) wrote :

Bugtasks added for revdep source packages. Hopefully I got them all.

Jeremy Bicha (jbicha) on 2017-03-15
description: updated
Gunnar Hjalmarsson (gunnarhj) wrote :

Barry Warsaw wrote:
> language-selector-gnome is similar[2], and should be easy to port
> out to PackageKit, assuming this is even needed anymore. It doesn't
> look like it's maintained either...

While the Bazaar branch was abandoned, the language-selector package is maintained. language-selector-gnome provides the Language Support GUI used by Ubuntu as well as several flavors.

$ apt rdepends language-selector-gnome
language-selector-gnome
Reverse Depends:
  Depends: ubuntu-desktop
  Depends: xubuntu-desktop
  Depends: ubuntustudio-desktop
  Depends: ubuntukylin-desktop
  Depends: ubuntu-mate-desktop
  Depends: ubuntu-mate-core
  Depends: ubuntu-budgie-desktop
  Depends: lubuntu-desktop

Matthias Klumpp (ximion) wrote :

Would be quite cool to make the language-selector use "localization" AppStream components to detect missing locale... That would also make it work easily with PackageKit.
=> https://www.freedesktop.org/software/appstream/docs/sect-Metadata-Localization.html

This would require some bigger effort though to generate the appropriate metadata (I will look into it though, since long-term I would like to have a solution like this at Debian as well).

Jeremy Bicha (jbicha) wrote :

This bug was fixed in the package zeroinstall-injector - 2.12-3

---------------
zeroinstall-injector (2.12-3) unstable; urgency=medium

  * Don't recommend python3-aptdaemon.pkcompat. Closes: #848559.

 -- Thomas Leonard <email address hidden> Sun, 19 Mar 2017 09:28:46 +0000

zeroinstall-injector (2.12-2) unstable; urgency=medium

  * Add missing build dep on tzdata. Closes: #839511.

 -- Thomas Leonard <email address hidden> Sun, 02 Oct 2016 12:53:59 +0000

zeroinstall-injector (2.12-1) unstable; urgency=medium

  * New upstream release.
  * Add missing build dep. Closes: #837226.

 -- Thomas Leonard <email address hidden> Sun, 25 Sep 2016 07:55:43 +0000

Changed in zeroinstall-injector (Ubuntu):
status: New → Fix Released
no longer affects: zeroinstall-injector (Ubuntu Aa-series)
Jeremy Bicha (jbicha) wrote :

fails to build :(

Changed in zeroinstall-injector (Ubuntu):
status: Fix Released → Triaged

On 20 March 2017 at 02:11, Jeremy Bicha <email address hidden> wrote:
> fails to build :(
>
> ** Changed in: zeroinstall-injector (Ubuntu)
> Status: Fix Released => Triaged

Not sure why it builds in Debian but not Ubuntu. If you need a quick
fix, adding a build-dependency on libsha-ocaml-dev should cause it to
use that instead of openssl (the build log says "sha (ocaml-sha) not
found; using OpenSSL instead").

Thomas Leonard (talex5) wrote :

I've now uploaded zeroinstall-injector 2.12-4 to Debian. That should fix the build problem here.

Jeremy Bicha (jbicha) wrote :

Thomas, thanks, the updated version worked.

Changed in zeroinstall-injector (Ubuntu):
status: Triaged → Fix Released
no longer affects: update-notifier (Ubuntu Artful)
no longer affects: update-manager (Ubuntu Artful)
no longer affects: ubuntu-mate-welcome (Ubuntu Artful)
no longer affects: ubuntu-mate-meta (Ubuntu Artful)
no longer affects: ubiquity (Ubuntu Artful)
no longer affects: software-properties (Ubuntu Artful)
no longer affects: sessioninstaller (Ubuntu Artful)
no longer affects: mythbuntu-control-centre (Ubuntu Artful)
no longer affects: lubuntu-software-center (Ubuntu Artful)
no longer affects: language-selector (Ubuntu Artful)
no longer affects: aptdaemon (Ubuntu Artful)
no longer affects: apturl (Ubuntu Artful)
no longer affects: dell-recovery (Ubuntu Artful)
no longer affects: gnome-software (Ubuntu Artful)
Mario Limonciello (superm1) wrote :

dell-recovery has dropped the code related to aptdaemon.
https://github.com/dell/dell-recovery/commit/df1e943cd111c24e1cf3357701caace177f46de8

It will be part of the next release.

Changed in dell-recovery (Ubuntu):
status: New → Fix Committed
Jeremy Bicha (jbicha) wrote :

gnome-software in artful-proposed uses PackageKit instead of aptdaemon
https://launchpad.net/ubuntu/+source/gnome-software/3.25.4-1ubuntu1

Changed in gnome-software (Ubuntu):
status: New → Fix Committed
Changed in gnome-software (Ubuntu):
importance: Undecided → Medium
Simon Quigley (tsimonq2) wrote :

The Lubuntu Software Center has not been updated for several cycles and we don't even ship with it by default any more.

On behalf of the Lubuntu Team, I'd like to request that src:lubuntu-software-center be removed from Artful. Subscribing the Archive Administrators Team.

Reverse depends:
$ reverse-depends src:lubuntu-software-center
No reverse dependencies found

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers